Bug 482877 - Can't delete some orphaned packages via the WebUI
Can't delete some orphaned packages via the WebUI
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-01-28 12:01 EST by Tim Tedford
Modified: 2009-09-17 03:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant portions of catalina.out (29.81 KB, text/plain)
2009-01-28 12:01 EST, Tim Tedford
no flags Details

  None (edit)
Description Tim Tedford 2009-01-28 12:01:39 EST
Created attachment 330256 [details]
Relevant portions of catalina.out

Description of problem:
When deleting orphaned packages via the WebUI, an "Internal Server Error" is returned. 

Version-Release number of selected component (if applicable):

Spacewalk 0.4 on CentOS 5.2

How reproducible:

It seems that for some packages it's 100% reproducable. I was also able to delete up to 25 packages at a time. The packages that throw the error do it 100% of the time. 


Steps to Reproduce:

This requires that you have already deleted a software channel, but not its packages. The repo that I used was the one described here: http://www.jasonlitka.com/yum-repository/

1. In the WebUI, browse to Channels/Manage Software Channels/Manage Software Packages.
2. Select "Packages in no channels", and View Packages
3. Scroll down and "Select All", "Confirm Deletion"
4. Select Delete Packages.
  
Actual results:

Internal Server Error

The server experienced a problem which prevented your request from being filled out. It may not be possible to execute this action at this time.

Please help us correct this problem by contacting us with details of how you received this message.

Packages are not deleted.

Expected results:

Packages should be deleted. 

Additional info:

Log output from catalina.out attached.
Comment 1 Justin Sherrill 2009-02-12 17:29:16 EST
This should have been fixed in :

commit	f3002fc42752a1456b7e7e4bb21f746fb9067595

tree	04ed06c2cc5ff4fb76d2118405459ffdd74f3035	tree | snapshot

parent	e609d962754b8728dabeb7f14c12f463caab2b76	commit | diff
Comment 2 Jesus M. Rodriguez 2009-04-14 10:12:36 EDT
Spacewalk 0.5 released.
Comment 3 Marcus Moeller 2009-08-19 02:36:30 EDT
Still valid on Spacewalk 0.6 when trying to delete about 20.000 orphaned packages at once.

Best Regards
Marcus
Comment 4 Miroslav Suchý 2009-09-17 03:09:46 EDT
Spacewalk 0.5 has been released for long time ago.
Comment 5 Marcus Moeller 2009-09-17 03:27:31 EDT
As mentioned before, this is still valid for 0.6 so could one please re-open it for this release.

Best Regards
Marcus

Note You need to log in before you can comment on or make changes to this bug.